Bug 1496134 - Remove dependency on net-tools
Summary: Remove dependency on net-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: deprecation, net-tools
TreeView+ depends on / blocked
 
Reported: 2017-09-26 14:28 UTC by James Hogarth
Modified: 2017-10-06 18:50 UTC (History)
3 users (show)

Fixed In Version: open-vm-tools-10.1.10-3.fc26 open-vm-tools-10.1.10-3.fc27 open-vm-tools-10.1.10-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 07:22:04 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2017-09-26 14:28:12 UTC
On linux the net-tools suite of utilities has been long since deprecated.

The relevant code that gets executed on Fedora and EPEL should be identified and patched out, with a suitable pull request upstream, to remove the dependency on any tool in the net-tools package and instead use suitable tools form iproute2.

Comment 1 Richard W.M. Jones 2017-09-26 15:17:40 UTC
Last time this came up, Ravindra mentioned there's an upstream
(VMware) bug to change this, but I don't actually have a link to
the upstream bug.

https://bugzilla.redhat.com/show_bug.cgi?id=1077320#c2

Comment 2 Ravindra Kumar 2017-09-26 18:06:21 UTC
This was fixed a while back. The dependency on ifconfig is a soft dependency now. Basically, our script tries different commands and falls back from one to another - https://github.com/vmware/open-vm-tools/blob/stable-10.0.x/open-vm-tools/scripts/linux/network#L333.

Comment 3 James Hogarth 2017-09-26 18:16:45 UTC
Oh good. 

Should be as simple as swapping over this then

https://src.fedoraproject.org/rpms/open-vm-tools/blob/master/f/open-vm-tools.spec#_87

Comment 4 Ravindra Kumar 2017-09-26 18:53:27 UTC
'ifconfig' is addressed, I'm not sure what else is part of net-tools. A quick look at 'net-tools' suggests that there is nothing else that we need from this package. So, we should be able to replace it with 'iproute'.

$ rpm -q net-tools
net-tools-1.60-110.el6_2.x86_64
$ rpm -ql net-tools | grep bin
/bin/dnsdomainname
/bin/domainname
/bin/hostname
/bin/netstat
/bin/nisdomainname
/bin/ypdomainname
/sbin/arp
/sbin/ether-wake
/sbin/ifconfig
/sbin/ipmaddr
/sbin/iptunnel
/sbin/mii-diag
/sbin/mii-tool
/sbin/nameif
/sbin/plipconfig
/sbin/route
/sbin/slattach

Comment 5 Fedora Update System 2017-09-28 07:25:45 UTC
open-vm-tools-10.1.10-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2e8026b5b

Comment 6 Fedora Update System 2017-09-28 07:26:57 UTC
open-vm-tools-10.1.10-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8afe84892f

Comment 7 Fedora Update System 2017-09-28 07:28:43 UTC
open-vm-tools-10.1.10-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96fa50152d

Comment 8 Fedora Update System 2017-09-28 16:29:40 UTC
open-vm-tools-10.1.10-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2e8026b5b

Comment 9 Fedora Update System 2017-09-29 00:54:48 UTC
open-vm-tools-10.1.10-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8afe84892f

Comment 10 Fedora Update System 2017-09-29 01:51:22 UTC
open-vm-tools-10.1.10-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96fa50152d

Comment 11 Fedora Update System 2017-09-30 07:22:04 UTC
open-vm-tools-10.1.10-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-10-01 18:18:48 UTC
open-vm-tools-10.1.10-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-10-06 18:50:24 UTC
open-vm-tools-10.1.10-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.